Rules
List rules
GET
/v1/rules- Cursor-paginated list: see Pagination.
Query parameters#
statestringlimitintegercursorstringOpaque
next_cursorof the previous page.
Responses#
200One page of rules.
Object fields
dataarray of objectrequiredFields of each item
idstring · uuidnamestringkindstringRules created through the API are
large_transfer,new_counterpartyorburst; the other kinds are created from the dashboard and are returned read-only.chain_idsarray of integerparamsobjectNormalised rule parameters (amounts in raw units).
severitystringstatestringimmediate_alertbooleannullableAlert before confirmations.
null= default by severity (yes for critical).channel_idsarray of string · uuidpending_changeobjectnullableDeferred pause or deletion of a critical rule, effective at
effective_at.Object fields
idstring · uuidactionstringrequested_atstring · date-timeeffective_atstring · date-time
created_atstring · date-time
has_morebooleanrequirednext_cursorstringrequirednullable
4xx · 5xxError.
Standard error format: see Errors.